#237 vocab override feature

Future_Requests
closed
MRBS (195)
3
2015-09-16
2012-03-08
dwpoon
No

It would be nice if config.inc.php could override certain built-in UI vocabulary terms, say, to match house terminology.

For example, in our organization, we have deployed two instances of MRBS (with different access rights): one called "Meeting Room Booking System", and another called "Office Booking System".

With this feature, I could specify
$vocab_override['en']['mrbs'] = 'Office Booking System';
on the latter system and not have to hack lang.en every time I upgrade.

The suggested patch is the minimal change to implement this feature. It's ugly copy-and-paste programming; I suggest cleaning it up before incorporating it into MRBS.

Related

Bugs: #237

Discussion

  • dwpoon

    dwpoon - 2012-03-08

    Suggested patch against MRBS 1.4.8

     
  • Campbell Morrison

    Good idea. Implemented in Rev 2273.

    Thanks,

    Campbell

     
  • John Beranek

    John Beranek - 2012-08-01
    • assigned_to: Campbell Morrison
     
  • Russel Ingram

    Russel Ingram - 2012-11-28

    Is this or is this not actually working in 1.4.9? I see that this feature request is still open and I can't seem to make the vocab_override variable(s) do what they're supposed to do.

     
  • Campbell Morrison

    Should be. What have you got set and where?

    Campbell

     
  • Russel Ingram

    Russel Ingram - 2012-11-28

    Nevermind. I had a require_once("language.inc") in my config.inc.php that
    must have been there for an older version. Removing it seems to have fixed
    the problem.

    Thanks,
    Russ

    On Wed, Nov 28, 2012 at 12:54 PM, Russel Ingram ringram@gargoylecc.comwrote:

    I've got custom strings for the email confirmations and for the booking
    types. Here's how I've got it in my config.inc.php:

    $vocab_override['en']['mail_body_new_entry'] = "A new entry has been
    booked.\n" .
    "If this is for an event, please be
    sure " .
    "to fill out the event form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/communications/events-1\n"
    .
    "If this is for a video conference, " .
    "please be sure to fill out the VTC
    form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/information-technology/services/vtc\n"
    .
    "Details on your room booking are
    below:";
    $vocab_override['en']['mail_body_changed_entry'] = "An entry has been
    modified.\n" .
    "If this is for an event, please be
    sure " .
    "to fill out the event form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/communications/events-1\n"
    .
    "If this is for a video conference, " .
    "please be sure to fill out the VTC
    form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/information-technology/services/vtc\n"
    .
    "Details on your room booking are
    below:";
    $vocab_override["en"]["type.I"] = "ISB";
    $vocab_override["en"]["type.E"] = "Tenant";

    It looks to me like it follows the examples in the systemdefaults.inc.php,
    but maybe I'm missing something. I'm also not getting any errors from php
    so php doesn't think anything bad is happening.

    Russ

    On Wed, Nov 28, 2012 at 12:50 PM, Campbell Morrison cimorrison@users.sf.net wrote:

    Should be. What have you got set and where?

    Campbell

    Status: open
    Labels: MRBS
    Created: Thu Mar 08, 2012 09:43 PM UTC by dwpoon
    Last Updated: Wed Nov 28, 2012 08:42 PM UTC
    Owner: Campbell Morrison

    It would be nice if config.inc.php could override certain built-in UI
    vocabulary terms, say, to match house terminology.

    For example, in our organization, we have deployed two instances of MRBS
    (with different access rights): one called "Meeting Room Booking System",
    and another called "Office Booking System".

    With this feature, I could specify
    $vocab_override['en'] http://sourceforge.net/../'en'['mrbs']http://sourceforge.net/../'mrbs'= 'Office Booking System';
    on the latter system and not have to hack lang.en every time I upgrade.

    The suggested patch is the minimal change to implement this feature. It's
    ugly copy-and-paste programming; I suggest cleaning it up before
    incorporating it into MRBS.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/bugs/237/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

    --
    Russel Ingram
    10109B 3rd Ave NW
    Seattle, WA 98177
    +1 206 518 2944

    --
    Russel Ingram
    10109B 3rd Ave NW
    Seattle, WA 98177
    +1 206 518 2944

     

    Related

    Bugs: #237

  • Russel Ingram

    Russel Ingram - 2012-11-28

    I've got custom strings for the email confirmations and for the booking
    types. Here's how I've got it in my config.inc.php:

    $vocab_override['en']['mail_body_new_entry'] = "A new entry has been
    booked.\n" .
    "If this is for an event, please be
    sure " .
    "to fill out the event form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/communications/events-1\n"
    .
    "If this is for a video conference, " .
    "please be sure to fill out the VTC
    form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/information-technology/services/vtc\n"
    .
    "Details on your room booking are
    below:";
    $vocab_override['en']['mail_body_changed_entry'] = "An entry has been
    modified.\n" .
    "If this is for an event, please be
    sure " .
    "to fill out the event form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/communications/events-1\n"
    .
    "If this is for a video conference, " .
    "please be sure to fill out the VTC
    form: " .
    "
    https://intranet.systemsbiology.net/Plone/administration/information-technology/services/vtc\n"
    .
    "Details on your room booking are
    below:";
    $vocab_override["en"]["type.I"] = "ISB";
    $vocab_override["en"]["type.E"] = "Tenant";

    It looks to me like it follows the examples in the systemdefaults.inc.php,
    but maybe I'm missing something. I'm also not getting any errors from php
    so php doesn't think anything bad is happening.

    Russ

    On Wed, Nov 28, 2012 at 12:50 PM, Campbell Morrison <cimorrison@users.sf.net

    wrote:

    Should be. What have you got set and where?

    Campbell

    Status: open
    Labels: MRBS
    Created: Thu Mar 08, 2012 09:43 PM UTC by dwpoon
    Last Updated: Wed Nov 28, 2012 08:42 PM UTC
    Owner: Campbell Morrison

    It would be nice if config.inc.php could override certain built-in UI
    vocabulary terms, say, to match house terminology.

    For example, in our organization, we have deployed two instances of MRBS
    (with different access rights): one called "Meeting Room Booking System",
    and another called "Office Booking System".

    With this feature, I could specify
    $vocab_override['en'] http://sourceforge.net/../'en'['mrbs']http://sourceforge.net/../'mrbs'= 'Office Booking System';
    on the latter system and not have to hack lang.en every time I upgrade.

    The suggested patch is the minimal change to implement this feature. It's
    ugly copy-and-paste programming; I suggest cleaning it up before
    incorporating it into MRBS.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mrbs/bugs/237/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

    --
    Russel Ingram
    10109B 3rd Ave NW
    Seattle, WA 98177
    +1 206 518 2944

     

    Related

    Bugs: #237

  • John Beranek

    John Beranek - 2015-09-16
    • status: open --> closed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks